Package org.opensaml.security.criteria

# Class PublicKeyCriterion

java.lang.Object
org.opensaml.security.criteria.PublicKeyCriterion

All Implemented Interfaces:
  `Criterion`

public final class PublicKeyCriterion extends Object implements Criterion
An implementation of `Criterion` which specifies public key criteria.

## Field Summary

Fields
Modifier and Type
Field
Description
`private PublicKey`
`publicKey`
Specifier of public key associated with resolved credentials.

## Constructor Summary

Constructors
Constructor
Description
`PublicKeyCriterion(PublicKey pubKey)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`PublicKey`
`getPublicKey()`
Get the public key criteria.
`int`
`hashCode()`
`void`
`setPublicKey(PublicKey key)`
Set the public key criteria.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### publicKey

@Nonnull private PublicKey publicKey
Specifier of public key associated with resolved credentials.

## Constructor Details

### PublicKeyCriterion

public PublicKeyCriterion(@Nonnull PublicKey pubKey)
Constructor.

Parameters:
  `pubKey` - public key

## Method Details

### getPublicKey

@Nonnull public PublicKey getPublicKey()
Get the public key criteria.

Returns:
  Returns the publicKey.

### setPublicKey

public void setPublicKey(@Nonnull PublicKey key)
Set the public key criteria.

Parameters:
  `key` - The publicKey to set.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`